package application;

import xml.XMLLoader;
import counterexample.CounterexampleManager;
import display.GUI;

/**
 * Application is the entry point of the program. It initiates all the
 * components and launches the GUI.
 * 
 * @author Simon Busard <simon.busard@uclouvain.be>
 * 
 */

public class Application {

	/**
	 * @param args
	 *            the arguments of the program.
	 */
	public static void main(String[] args) {
		XMLLoader loader = new XMLLoader();
		CounterexampleManager manager = new CounterexampleManager(loader);
		GUI gui = new GUI(GUI.NARROWTREELIKE, manager);

		gui.setVisible(true);
	}

}
