package display.graph;

import counterexample.Transition;

/**
 * An edge is an element of a displayed graph, representing a transition.
 * 
 * @author Simon Busard <simon.busard@uclouvain.be>
 * 
 */
public class Edge {

	/**
	 * The transition represented by this edge.
	 */
	private Transition transition;

	/**
	 * Creates a new edge.
	 * 
	 * @param transition
	 *            The transition the new edge represents.
	 */
	public Edge(Transition transition) {
		this.transition = transition;
	}

	/**
	 * Returns the transition represented by this edge.
	 * 
	 * @return The transition represented by this edge.
	 */
	public Transition getTransition() {
		return this.transition;
	}
}