/**
 * 
 */
package display.layout;

import counterexample.Counterexample;
import display.graph.Edge;
import display.graph.Node;
import edu.uci.ics.jung.algorithms.layout.Layout;
import edu.uci.ics.jung.graph.DirectedGraph;

/**
 * A Counterexample Layout is a particular layout used to display
 * counterexamples.
 * 
 * @author Simon Busard <simon.busard@uclouvain.be>
 * 
 */
public interface CounterexampleLayout extends Layout<Node, Edge> {

	/**
	 * Initializes the layout to display counterexample. graph is the
	 * representation of counterexample.
	 * 
	 * @param counterexample
	 *            The counterexample to layout.
	 * @param graph
	 *            The representation of counterexample.
	 */
	public void initialize(Counterexample counterexample,
			DirectedGraph<Node, Edge> graph);

}
